2018-09-22 09:10 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002598NetSurfRISC OS-specificpublic2018-06-29 09:09
ReporterRichard Porter 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionno change required 
PlatformARMX6OSRISC OSOS Version5.23
Product Version 
Target VersionFixed in Version 
Summary0002598: Copy into Open URL window
DescriptionNetSurf is extremely fussy about what you can paste or drag into the Open URL window or the URL bar in the main window. If I try to copy and paste a URL from a web page or document it doesn't work. If I paste it into a text file (correctly typed) I still can't copy and paste it. If I save the URL from the text file into the Open URL window it is accepted but NetSurf displays the URL in the main pane and does not open the page. I can now copy the url from the main pane into the url bar.

It shouldn't be this difficult. Anything pasted into the Open URL window should be trated as a URL to be opened, not a text file to be displayed. Moreover it should accept text from any suitable file type (e.g. html).
Steps To ReproduceTry coping a URL from any appropriate file type into the Open URL window.
Additional InformationGetting stuff into the URL bar isn't any easier.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #4335
URL of problem pagen/a
Attached Files

-Relationships
+Relationships

-Notes
Michael Drake

~0001773

Michael Drake (administrator)

This is a RISC OS 5 issue. It doesn't support either C&P or text selection in WIMP writeable icons. It should work on RISC OS Select/Adjust/SIX. I suggest making a feature request on riscos-open.
+Notes

-Issue History
Date Modified Username Field Change
2018-05-05 17:51 Richard Porter New Issue
2018-06-29 09:09 Michael Drake Assigned To => Michael Drake
2018-06-29 09:09 Michael Drake Status new => closed
2018-06-29 09:09 Michael Drake Resolution open => no change required
2018-06-29 09:09 Michael Drake Description Updated View Revisions
2018-06-29 09:09 Michael Drake Note Added: 0001773
+Issue History